set CA_DIR=%~dp0..\
set CA_COM="BKTurbo8.exe"
set CA_B2O="BKbin2obj.exe"

set ASSEMBLER=%CA_DIR%%CA_COM%
set BIN2OBJ=%CA_DIR%%CA_B2O%

%ASSEMBLER% -l -tTL CL Planet_TapeLoader.asm
%ASSEMBLER% -l -tML CL Planet_Loader.asm
%ASSEMBLER% -lTapeLoader_l -r LI TapeLoader Planet_TapeLoader.obj ML_tbl.obj
%ASSEMBLER% -lPLANET LI PLANET Planet_Loader.obj TL_tbl.obj

%BIN2OBJ% -sbin -lPicData Planet_PicData.dat
%ASSEMBLER% -l cl Planet_pic.asm
%ASSEMBLER% -lPlanet_pic_l li PLANET.PIC Planet_pic.obj Planet_PicData.obj ML_tbl.obj TL_tbl.obj

%ASSEMBLER% -l -o -r co Planet_game.asm
%ASSEMBLER% -l cl Planet_game_preparer.asm
%ASSEMBLER% -lPlanet_gmc_l li PLANET.GMC Planet_game_preparer.obj Planet_game.obj



md out
copy *.bin out\*
rem copy *.raw out\*
rem copy *.lst out\*

del *.bin
del *.raw
del *.obj
del *.lst
